Skip to main content

List Security Groups Available to Attach

Returns the security groups in the region that are not yet attached to the group and can be attached to it. Use a group's id from this list as the security_group_id for Attach SG.

GET/api/v1/scaler/scalegroups/remaining_security_group/{scaler_id}

Path parameters

  • scaler_idPathintegerrequired

    The id of the auto scaling group, as returned by List.

    • required
    • must be a valid auto scaling group ID
    example12345

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request.

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the group.

    • required
    • must be a valid region name (e.g., Delhi, Chennai)
    example{{location}}

Responses

200Successful response
object

Security groups available to attach to the group, each with its rules.

codeinteger
example200
dataarray
errorsobject
messagestring
exampleSuccess